Tryton - Issues

 

Issue3596

Title Nouveaux taux de taxes du plan comptable français
Priority feature Status resolved
Superseder Add history to tax
View: 3600
Nosy List SISalp, ced, jmo, rhertzog, roundup-bot
Type behavior Components
Assigned To ced Keywords
Reviews

Created on 2014-01-17.06:59:00 by jmo, last changed by ced.

Files
File name Uploaded Type Edit Remove
tva-2014-backport-tryton-3.0.patch rhertzog, 2014-02-10.15:42:14 text/plain
Messages
msg15632 (view) Author: [hidden] (roundup-bot) Date: 2014-02-15.18:37:29
New changeset 58c224a204b3 by C?dric Krier in branch 'default':
New tax rates for 2014
http://hg.tryton.org/modules/account_fr/rev/58c224a204b3
msg15538 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-02-10.15:42:14
Here's a backport of the latest patch in review3341002 for tryton 3.0. It drops
the start_date/end_date and drop the parent relationship of old taxe rates so
that they remain separate instead of being used on products tagged with the
parent tax.

This means I tested the account.py update code and it worked well. Thank you Cédric!
msg15524 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-08.23:51:08
Thanks, it cleared my doubt about renamed tax code. So I uploaded a new version
where new tax codes are created instead of replaced.
msg15523 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-02-08.21:32:18
The main form 3310-CA3:
http://www.impots.gouv.fr/portal/deploiement/p1/fichedescriptiveformulaire_8754/fichedescriptiveformulaire_8754.pdf

A complementary form that we use sometimes:
http://www.impots.gouv.fr/portal/deploiement/p1/fichedescriptiveformulaire_8761/fichedescriptiveformulaire_8761.pdf
msg15522 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-08.21:04:48
Here is the version with tax historization and migration: review3341002
I still have some doubt about the tax code names and configuration, could
someone provide an example of the VAT declaration for 2014?
msg15413 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-01-31.10:10:27
On 31 Jan 10:00, Raphaël Hertzog wrote:
> So the tax patches alone is in review3161002
> 
> The historization feature has not yet been committed how can I already rely on
> it? We can't force French users to wait until 3.2 and not do anything until then.

Yes it will. No data change inside series.

> And even with historization/timeline, this would mean that the parent tax (which
> should be independent from the tax rate) would have to reuse the current
> identifier which embeds the tax rate. This is not very clean IMO.

Yes, ir.model.data will need to be updated.
msg15412 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-01-31.10:05:25
I was also wondering. Could the module maybe embed some Python upgrade code that
would do the tax replacement on products automatically ?
msg15411 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-01-31.10:00:33
So the tax patches alone is in review3161002

The historization feature has not yet been committed how can I already rely on
it? We can't force French users to wait until 3.2 and not do anything until then.

And even with historization/timeline, this would mean that the parent tax (which
should be independent from the tax rate) would have to reuse the current
identifier which embeds the tax rate. This is not very clean IMO.

I was wondering though, is it possible/reasonable to keep the old identifiers in
the tax_fr.xml file but clearly mark them as obsolete ? Because right now, when
I do the update, the old taxes are kept around and they are not marked as
obsolete. People can sort this out except that for the 5,5% rate which is
unchanged we have the same tax name twice... (one for the old rate-specific
identifier and one for the rate-agnostic identifier, and the full view doesn't
display the tax identifier..)
msg15396 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-01-30.16:03:27
Please provide a patch for one feature. So here only the patch about the tax
rate change. Which by the way, really need to use the historization to give to
existing users an easy path to update.
msg15395 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-01-30.15:51:32
I'm not convinced that we need historization first. I have submitted a patch in
review3121002 ... users will have to adapt their products but it's sort of
required anyway since the chart of account embeds the rate in the identifier. :-|
msg15182 (view) Author: [hidden] (SISalp) Date: 2014-01-20.11:45:47
L'application des taux France métropolitaire et DOM/TOM en 2014 :
http://vosdroits.service-public.fr/professionnels-entreprises/F23567.xhtml
msg15155 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-01-17.22:00:52
Indeed we need first the historization as define in issue3600
msg15147 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-01-17.10:11:05
Thanks to submit issue in English.
msg15146 (view) Author: [hidden] (jmo) Date: 2014-01-17.06:58:58
J'ai modifié le fichier account_fr.tax_fr.xml en remplaçant ce qui est relatif à
19.6% par 20% et ce qui est relatif à 7% par 10%. Si la procédure est correcte,
je soumettrai un patch.
History
Date User Action Args
2014-02-15 18:37:53cedsetstatus: testing -> resolved
2014-02-15 18:37:29roundup-botsetnosy: + roundup-bot
messages: + msg15632
2014-02-10 15:54:21cedsetkeyword: - patch
2014-02-10 15:42:16rhertzogsetfiles: + tva-2014-backport-tryton-3.0.patch
messages: + msg15538
keyword: + patch
2014-02-08 23:51:09cedsetmessages: + msg15524
2014-02-08 21:32:19rhertzogsetmessages: + msg15523
2014-02-08 21:04:49cedsetstatus: in-progress -> testing
messages: + msg15522
2014-02-02 23:46:17cedsetstatus: testing -> in-progress
assignedto: rhertzog -> ced
2014-01-31 10:10:27cedsetmessages: + msg15413
2014-01-31 10:05:25rhertzogsetmessages: + msg15412

Showing 10 items. Show all history (warning: this could be VERY long)